import { Component, h, Prop } from "@stencil/core";
export class SSaqhanLentaNewsCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "lenta-news d-flex justify-content-between" },
            h("div", { class: "lenta-img pr-4" }, " "),
            h("div", { class: "lenta-info" },
                h("div", { class: this.ColorCategory(this.lentaNews.category) }, this.lentaNews.category),
                h("div", { class: "lenta-title font-weight-bold pt-1" }, this.lentaNews.title),
                h("div", { class: "btn-read" },
                    h("a", { href: "/second-page/" }, this.lentaNews.btnText)))));
    }
    static get is() { return "s-saqhan-lenta-news-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-lenta-news-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-lenta-news-card.css"]
    }; }
    static get properties() { return {
        "lentaNews": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "lenta-news",
            "reflect": false
        }
    }; }
}
